simple_ptr< T > Class Template Reference

Manages resources for a single object. More...

`#include <smartptr.h>`

## Public Member Functions

| simple_ptr (T *p=NULL)

## Public Attributes

T * | m_p

## Detailed Description

template<class T>
class simple_ptr< T >

Manages resources for a single object.

Template Parameters

  T | class or type

`simple_ptr` is used frequently in the library to manage resources and ensure cleanup under the RAII pattern (Resource Acquisition Is Initialization).

Definition at line 18 of file smartptr.h.

## Constructor & Destructor Documentation

## simple_ptr()

template<class T>

simple_ptr< T >::simple_ptr | ( | T * | p = NULL | ) |

inline

Definition at line 21 of file smartptr.h.

## ~simple_ptr()

template<class T>

simple_ptr< T >::~simple_ptr | ( |  | ) |

inline

Definition at line 22 of file smartptr.h.

## Member Data Documentation

## m_p

template<class T>

T* simple_ptr< T >::m_p

Definition at line 28 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h